Page MenuHomePhabricator

Revise onboarding and user education cards in the **sideloading-only** version of the Offline Library
Closed, ResolvedPublic1 Story Points

Description

For the sideloading-only version of the Offline Library, references to downloading packs and other associated benefits are to be removed from onboarding and user-education screens.

Subtasks as part of this ticket:
  1. Revise card messaging when a user with ZIMs is offline in the sideloading-only version of the Offline Library.

  1. Disable the 3-part user-education screens entirely.

  1. Do not show the 'promo' card for the Offline Library

  1. Update the message and illustration for the empty state of the Offline Library screen (Will be done as part of T179067)

Event Timeline

RHo created this task.Oct 27 2017, 7:02 PM
cooltey claimed this task.Nov 8 2017, 8:29 PM

Change 391144 had a related patch set uploaded (by Cooltey; owner: Cooltey):
[apps/android/wikipedia@master] Revise onboarding and user education cards in sideloading Offline Library - Remove OnboardingClient() from FeedCoordinator - Add sideloading version text - Set default value of offline tutorial as false

https://gerrit.wikimedia.org/r/391144

Change 391144 merged by jenkins-bot:
[apps/android/wikipedia@master] Revise onboarding and user education cards in sideloading Offline Library - Remove OnboardingClient() from FeedCoordinator - Add sideloading version text - Set default value of offline tutorial as false

https://gerrit.wikimedia.org/r/391144

ABorbaWMF added a subscriber: ABorbaWMF.

Tested on 2.6.206-alpha-2017-11-29 on a Pixel and a Nexus 4

LGTM on Nexus 5 (6.01), Wikipedia 2.7.224-alpha-2018-01-17

Dbrant closed this task as Resolved.Feb 1 2018, 6:32 PM